summaryrefslogtreecommitdiffstats
path: root/patches/source/php/php.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'patches/source/php/php.SlackBuild')
-rwxr-xr-xpatches/source/php/php.SlackBuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/patches/source/php/php.SlackBuild b/patches/source/php/php.SlackBuild
index 518bb7ec6..8773717c8 100755
--- a/patches/source/php/php.SlackBuild
+++ b/patches/source/php/php.SlackBuild
@@ -3,7 +3,7 @@
# Build and package mod_php on Slackware.
# by: David Cantrell <david@slackware.com>
# Modified for PHP 4-5 by volkerdi@slackware.com
-# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2019, 2020, 2021 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2019, 2020, 2021, 2023 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,8 +27,8 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=php
VERSION=${VERSION:-$(echo php-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-ALPINE=2.25
-BUILD=${BUILD:-1_slack15.0}
+ALPINE=2.26
+BUILD=${BUILD:-2_slack15.0}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -127,6 +127,8 @@ rm -rf php-$VERSION
tar xvf $CWD/php-$VERSION.tar.xz || exit 1
cd php-$VERSION || exit 1
+zcat $CWD/CVE-2022-31631.patch.gz | patch -p1 --verbose || exit 1
+
# cleanup:
find . -name "*.orig" -delete